-- #103
CREATE TABLE storecartridge (
     storeid              integer  not null
,    cartridgeid          integer  not null
,    version              varchar(30)  not null

,   constraint pk_storecartridge                primary key (storeid,cartridgeid)
,   constraint fk_storecartridge_storeid        foreign key (storeid)
        references store                            (storeid)
,   constraint fk_storecartridge_cartridgeid    foreign key (cartridgeid)
        references cartridgeref                     (cartridgeid)
)
GO
CREATE INDEX i_storecartridge_cartridge ON storecartridge (cartridgeid)
GO
